OpenCV: cv::videostab::MotionEstimatorRansacL2 Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::videostab::MotionEstimatorRansacL2 Class Reference
Video Stabilization » Global Motion Estimation

Describes a robust RANSAC-based global 2D motion estimation method which minimizes L2 error. More...

`#include "global_motion.hpp"`

Inheritance diagram for cv::videostab::MotionEstimatorRansacL2:

## Public Member Functions
| MotionEstimatorRansacL2 (MotionModel model=MM_AFFINE)
virtual Mat | estimate (InputArray points0, InputArray points1, bool *ok=0) CV_OVERRIDE
| Estimates global motion between two 2D point clouds. More...
float | minInlierRatio () const
RansacParams | ransacParams () const
void | setMinInlierRatio (float val)
void | setRansacParams (const RansacParams &val)
Public Member Functions inherited from cv::videostab::MotionEstimatorBase
virtual | ~MotionEstimatorBase ()
virtual MotionModel | motionModel () const
virtual void | setMotionModel (MotionModel val)
| Sets motion model. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::videostab::MotionEstimatorBase
| MotionEstimatorBase (MotionModel model)

## Detailed Description

Describes a robust RANSAC-based global 2D motion estimation method which minimizes L2 error.

## Constructor & Destructor Documentation

## ◆ MotionEstimatorRansacL2()

cv::videostab::MotionEstimatorRansacL2::MotionEstimatorRansacL2 | ( | MotionModel | model = `MM_AFFINE` | ) |

## Member Function Documentation

## ◆ estimate()

virtual Mat cv::videostab::MotionEstimatorRansacL2::estimate | ( | InputArray | points0,
|  | InputArray | points1,
|  | bool * | ok = `0`
| ) |  |
| virtual

Estimates global motion between two 2D point clouds.

Parameters

  points0 | Source set of 2D points (32F).
  points1 | Destination set of 2D points (32F).
  ok | Indicates whether motion was estimated successfully.

Returns
  3x3 2D transformation matrix (32F).

Implements cv::videostab::MotionEstimatorBase.

## ◆ minInlierRatio()

float cv::videostab::MotionEstimatorRansacL2::minInlierRatio | ( |  | ) | const
| inline

## ◆ ransacParams()

RansacParams cv::videostab::MotionEstimatorRansacL2::ransacParams | ( |  | ) | const
| inline

## ◆ setMinInlierRatio()

void cv::videostab::MotionEstimatorRansacL2::setMinInlierRatio | ( | float | val | ) |
| inline

## ◆ setRansacParams()

void cv::videostab::MotionEstimatorRansacL2::setRansacParams | ( | const RansacParams & | val | ) |
| inline

The documentation for this class was generated from the following file:

- videostab/include/opencv2/videostab/global_motion.hpp